std::experimental::simd_mask::copy_to(3)

NAME
std::experimental::simd_mask::copy_to - std::experimental::simd_mask::copy_to

Synopsis
   template<class Flags> (parallelism TS v2)
   void copy_to( bool* mem, Flags flags );
   The store function copies all elements of a simd_mask such that the i-th element is
   written to mem[i] for all i in the range of [0, size()).

Parameters
   mem - a pointer into an array where [mem, mem + size()) is a valid range
   flags - if if of type vector_aligned_tag, the load constructor may assume mem to
           point to storage aligned by memory_alignment_v<simd_mask>

Type requirements
   -
   is_simd_flag_type_v<Flags> must be true.

See also
   element_aligned_tag flag indicating alignment of the load/store address to element
   element_aligned alignment
   (parallelism TS v2) (class)
   vector_aligned_tag flag indicating alignment of the load/store address to vector
   vector_aligned alignment
   (parallelism TS v2) (class)
   overaligned_tag flag indicating alignment of the load/store address to the
   overaligned specified alignment
   (parallelism TS v2) (class template)
   memory_alignment obtains an appropriate alignment for vector_aligned
   (parallelism TS v2) (class template)
   copy_from loads simd_mask elements from contiguous memory
   (parallelism TS v2) (public member function)